apiVersion: v1
kind: ServiceAccount
metadata:
  name: tile-map-runner-housekeeping
imagePullSecrets:
- name: registries
---
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: tile-map-runner-housekeeping
rules:
- apiGroups:
  - batch
  resources:
  - jobs
  verbs:
  - list
  - get
  - delete
  - deletecollection
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: tile-map-runner-housekeeping
subjects:
- kind: ServiceAccount
  name: tile-map-runner-housekeeping
roleRef:
  kind: Role
  name: tile-map-runner-housekeeping
  apiGroup: rbac.authorization.k8s.io
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: tile-map-runner-queue
imagePullSecrets:
- name: registries
---
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: tile-map-runner-queue
rules:
- apiGroups:
  - batch
  resources:
  - jobs
  verbs:
  - create
  - list
  - watch
  - get
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: tile-map-runner-queue
subjects:
- kind: ServiceAccount
  name: tile-map-runner-queue
roleRef:
  kind: Role
  name: tile-map-runner-queue
  apiGroup: rbac.authorization.k8s.io
